> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get submission by id

> Requires auth.



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json get /forms/getSubmissionById/{id}
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /forms/getSubmissionById/{id}:
    get:
      tags:
        - Form Submissions
      summary: Get submission by id
      description: Requires auth.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            pattern: ^[a-fA-F0-9]{24}$
            example: '{{objectId}}'
          description: 24-char hex identifier of the submission.
      responses:
        '200':
          description: OK
        '404':
          description: Not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````